Bug 519457 - ext4 umount hangs after fsstress with data=journal
Summary: ext4 umount hangs after fsstress with data=journal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 17:42 UTC by Valerie Aurora Henson
Modified: 2010-07-06 08:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-06 08:32:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 12624 None None None Never

Description Valerie Aurora Henson 2009-08-26 17:42:38 UTC
This is a tracking bug for an ext4 kernel bugzilla:

http://bugzilla.kernel.org/show_bug.cgi?id=12624

Comment 2 RHEL Product and Program Management 2009-08-26 18:17:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Ric Wheeler 2010-03-25 22:04:38 UTC
This should have been fixed last year - is this still an issue?

Comment 4 Xiao jing Fang 2010-07-06 08:32:24 UTC
tested in 2.6.32-42.el6.x86_64

# mkfs.ext4 -b 1024 /dev/sda2
# mount -o data=journal /dev/sda2 /mnt
# ltp/fsstress -d /mnt -n 10000 -p 4
# umount /mnt/test

nothing happens,so this should be fixed


Note You need to log in before you can comment on or make changes to this bug.